About the Exercise:Bean/Topology

Excuse me ,I am a newuser to use the opencascade.
I have a question.
When I made a Wire,like this:
TopoDS_Wire aWire=BRepBuilderAPI_MakeWire(ELeft,EBot,ERight,ETop);
I can not to make a SolidTopFace.
The code like this:
TopoDS_Face aFace=BRepBuilderAPI_MakeFace(aWire);
Standard_Real myHeight=30;
gp_Vec v(0 , 0 , myHeight);
BRepPrimAPI_MakePrism prism(aFace , v);
prism.Build();
TopoDS_Shape result = prism.Shape();

TopTools_ListOfShape CTDescLine;
CTDescLine= prism.Generated(ETop);
TopoDS_Shape SolidTopFace=CTDescLine.First();
myAISContext->Display(new AIS_Shape(SolidTopFace));

But if I put the ETop in the first position of MakeWire,like this:
TopoDS_Wire Wire1=BRepBuilderAPI_MakeWire(ETop,EBot,ELeft,ERight);
It will be work.
Could anyone tell me Why?
Thank's so lot!

Cherry's picture

Excute me.
The 4th line from the Bottom.It should be this:
TopoDS_Wire Wire1=BRepBuilderAPI_MakeWire(ETop,ELeft,EBot,ERight);
I will be work.
Thank's so much! ^_^